# Job: publish_python_wheel
# Builds and a python wheel of your project and publishes it to a PyPI registry.
# This job can be manually run, and is always run on succesful tag commits.
# See gitlab_fi

include:
  - local: gitlab_ci_templates/lib/python_wheel.yml


# Build and publish a wheel to Gitlab's PyPI Package Registry.
# Ref. https://docs.gitlab.com/ee/user/packages/pypi_repository/
# This job can be manually run, but will always be run
# on tag commits.
# You can use this job in combination with release.yml's
# .version_bump_and_tag job to automatically publish new
# wheels to your project's 
publish_python_wheel:
  stage: deploy
  rules:
    # Always publish conda env on tag.
    - if: $CI_COMMIT_TAG
      when: on_success
      # Don't allow publishing form the MR pipeline.
      # (You can still publish from a regular commit pipeline.)
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      when: never
    # Else if not a tag, then publishing conda env is manual.
    - when: manual
      # Needed for manual jobs with rules in order to not block the pipeline.
      allow_failure: true
  script:
    - !reference [.python_wheel_publish_script]

